Subject: bug#42663: closed (Re: bug#42663: 28.0.50; rectangle-mark-mode does not behave as documented when transient-mark-mode is off)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 28 Dec 2021 17:41:01 +0000

Your bug report

#42663: 28.0.50; rectangle-mark-mode does not behave as documented when transient-mark-mode is off

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
42663: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=42663
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#42663: 28.0.50; rectangle-mark-mode does not behave as documented when transient-mark-mode is off
From: Eli Zaretskii <[email-masked]>
To: Sean Whitton <[email-masked]>
Cc: [email-masked]
Date: Tue, 28 Dec 2021 19:40:28 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Sean Whitton <[email-masked]>
> Date: Mon, 27 Dec 2021 13:04:07 -0700
> 
> > So I think a better documentation change would be to say that
> > rectangle mark mode only works when the mark is active, and point to
> > "Disabled Transient Mark" node of the manual for how to do that when
> > Transient Mark mode is off.  This should probably be a separate
> > paragraph, after the current text.
> 
> Yes, that's better, thank you.
> 
> Revised patch enclosed.

Thanks, installed on the emacs-28 branch, and closing the bug.

Subject: 28.0.50; rectangle-mark-mode does not behave as documented when transient-mark-mode is off
From: Sean Whitton <[email-masked]>
To: [email-masked]
Date: Sat, 01 Aug 2020 21:19:22 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

rectangle-mark-mode's docstring says

    Toggle the region as rectangular.  Activates the region if needed.
    Only lasts until the region is deactivated.

However, when Transient Mark mode is off,

1) the region does not get activated by C-x SPC;

2) the mode lasts until the mark is subsequently activated and then
   deactivated again; and

3) rectangle-mark-mode works inconsistently until the mark is activated:
   killing the region kills the rectangle, but C-x C-x does not rotate
   through the four corners of the rectangle.

I think the simplest fix might be for rectangle-mark-mode to activate
the mark even when Transient Mark mode is off.  I think I'll probably
add that to my own configuration, where Transient Mark mode is off.

-- 
Sean Whitton